Bug 716352 (toothchart) - Review Request: toothchart - A PHP script which graphically shows how a baby's primary teeth have erupted
Summary: Review Request: toothchart - A PHP script which graphically shows how a baby'...
Keywords:
Status: CLOSED ERRATA
Alias: toothchart
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-medical
TreeView+ depends on / blocked
 
Reported: 2011-06-24 05:34 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-07-18 22:39 UTC (History)
3 users (show)

Fixed In Version: toothchart-0.02.0-0.1beta.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-17 14:24:20 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-06-24 05:34:05 UTC
Spec URL: http://ankursinha.fedorapeople.org/toothchart/toothchart.spec
SRPM URL: http://ankursinha.fedorapeople.org/toothchart/toothchart-0-0.02.0beta.fc15.src.rpm

Description: 
The Baby Tooth chart is a PHP script which graphically shows how a 
baby's primary teeth have erupted - Eventually it'll become a 
POST/PHP-Nuke module. Uses only PHP and static images (i.e. no 
PHP graphics or FLASH, so no extra libraries needed)

Comment 1 Mario Blättermann 2011-06-28 18:12:29 UTC
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3167503

$ rpmlint -i -v *
toothchart.src: I: checking
toothchart.src: I: checking-url http://sourceforge.net/projects/toothchart/ (timeout 10 seconds)
toothchart.src: I: checking-url http://downloads.sourceforge.net/toothchart/toothchart-beta-0.02.0.tar.gz (timeout 10 seconds)
toothchart.noarch: I: checking
toothchart.noarch: I: checking-url http://sourceforge.net/projects/toothchart/ (timeout 10 seconds)
toothchart.noarch: E: incorrect-fsf-address /usr/share/doc/toothchart/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

2 packages and 0 specfiles checked; 1 errors, 0 warnings.


Almost no issues, just the incorrect FSF address. You should file a bug upstream, but it's no blocker for your package.

Informal review will follow immediately.

Comment 2 Mario Blättermann 2011-06-28 19:21:11 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[X] MUST: The package must be licensed with a Fedora approved license.
    According to the license included in the package, it should be GPLv2 
    (without +). The source itself doesn't say anything about the license.

[X] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    05b19b482ba86101694e63bf41d5a5e9  toothchart-beta-0.02.0.tar.gz
    05b19b482ba86101694e63bf41d5a5e9  toothchart-beta-0.02.0.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available for f16.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[.] MUST: All build dependencies must be listed in BuildRequires.
    No BR needed anyway, the basic build environment is sufficient here.

[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
    -p switch has applied to "install".

[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 3 Ankur Sinha (FranciscoD) 2011-06-29 16:51:45 UTC
(In reply to comment #2)
> ---------------------------------
> key:
> 
> [+] OK
> [.] OK, not applicable
> [X] needs work
> ---------------------------------

> [X] MUST: The package must be licensed with a Fedora approved license.
>     According to the license included in the package, it should be GPLv2 
>     (without +). The source itself doesn't say anything about the license.
> 
> [X] MUST: The License field in the package spec file must match the actual
> license.

Hi Mario,


I think I had referred to the site for the license:

http://sourceforge.net/projects/toothchart/

I've corrected it now to the license file included in the source. 

New spec/srpm:

http://ankursinha.fedorapeople.org/toothchart/toothchart.spec

http://ankursinha.fedorapeople.org/toothchart/toothchart-0.02.0-0.1beta.fc15.src.rpm

Thanks,
Ankur

Comment 4 Mario Blättermann 2011-06-29 18:15:44 UTC
OK, looks well now. That's why:

----------------

PACKAGE APPROVED

----------------

Comment 5 Ankur Sinha (FranciscoD) 2011-06-30 02:11:17 UTC
Thank you Mario! :D

Comment 6 Ankur Sinha (FranciscoD) 2011-06-30 02:13:04 UTC
New Package SCM Request
=======================
Package Name: toothchart
Short Description: A PHP script which graphically shows how a baby's primary teeth have erupted
Owners: ankursinha
Branches: f14 f15
InitialCC: susmit mrceresa

Comment 7 Gwyn Ciesla 2011-06-30 11:54:36 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-06-30 17:09:22 UTC
toothchart-0.02.0-0.1beta.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/toothchart-0.02.0-0.1beta.fc14

Comment 9 Fedora Update System 2011-06-30 17:09:30 UTC
toothchart-0.02.0-0.1beta.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/toothchart-0.02.0-0.1beta.fc15

Comment 10 Fedora Update System 2011-07-01 18:54:15 UTC
toothchart-0.02.0-0.1beta.fc15 has been pushed to the Fedora 15 testing repository.

Comment 11 Ankur Sinha (FranciscoD) 2011-07-17 14:24:20 UTC
Built and pushed to repos for testing. Closing.

Comment 12 Fedora Update System 2011-07-18 22:26:53 UTC
toothchart-0.02.0-0.1beta.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-07-18 22:38:56 UTC
toothchart-0.02.0-0.1beta.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.